import React from 'react';
import { ConnectContextOptions, ConnectContextFactory, KeyValue, ComputedSelectors, ContextCollection } from './typings';
declare function connectContext<T = any>(Context: React.Context<T>, Component: React.ComponentType, options?: ConnectContextOptions): React.FunctionComponent;
declare function connectContextFactory<T = any>(Context: React.Context<T>): ConnectContextFactory;
declare function useConnectedContextFactory<T = any>(Context: React.Context<T>): (options?: ConnectContextOptions) => KeyValue;
declare function mergedConnectContextFactory(contexts: ContextCollection): ConnectContextFactory;
declare function useMergedConnectedContextFactory(contexts: ContextCollection): (options?: ConnectContextOptions) => KeyValue;
declare function getMergedPropsFromContexts(contexts: ContextCollection, options: ConnectContextOptions, props?: KeyValue): {};
declare function getMergedProps(selectedState: KeyValue, selectedActions: KeyValue, props?: KeyValue, computedSelectors?: ComputedSelectors): {};
declare function normalizedContextOptions(options: ConnectContextOptions): ConnectContextOptions;
export default connectContext;
export { connectContextFactory, useConnectedContextFactory, mergedConnectContextFactory, useMergedConnectedContextFactory, getMergedProps, getMergedPropsFromContexts, normalizedContextOptions, };
